 @import "../../style/miam.scss";

:root {
  --price-color: var(--miam-price-color,green) ;
  --tag-color: var(--miam-tag-color,#fcecce);
}

.miam-basket-preview-line {
  overflow: hidden;
  padding-left: 10px;

  &.clickable {
    cursor: pointer;
    border-radius: 4px;
    margin-bottom: 6px;
    border: 1px solid var(--m-color-grey);
    box-shadow: none;
    transition: var(--m-default-transition);
  }

  &.elevate{
    position: relative;
    z-index: var(--m-z-index-modal);
  }

  &.expanded {
    position: relative;
    background:  #fff;
    box-shadow: var(--m-shadow-small);
    border-color: var(--m-color-grey);
    margin-top: 10px;
    margin-bottom: 15px;
  }

  .miam-basket-preview-line__item {
    display: flex;
    justify-content: space-between;
    padding: 16px 0px;
  
    &.clickable {
      cursor: pointer;
      &.expanded {
        padding-bottom: 0px;
      }
    }
  
    .miam-basket-preview-line__item__left {
      display: flex;
      align-items: center;
      width: 100%;
  
      .miam-basket-preview-line__item__remove {
        margin: 0px 30px 0 15px;
        align-self: center;
        
        .icon-container {
          background-color: var(--m-color-grey);
          border-radius: 12.5px;
          width: 25px !important;
          height: 25px !important;
          padding: 6px;

          svg {
            cursor: pointer;
            color: var(--m-color-grey-text);
            width: 13px;
            height: 13px;
          }
        }
      }
  
      .miam-basket-preview-line__item__picture {
        margin-right: 25px;
    
        img {
          width: 130px;
          height: 100px;
          object-fit: cover;
          border-radius: var(--m-border-radius);
        }
      }
  
      .miam-basket-preview-line__item__details {
        width: 100%;
        .miam-basket-preview-line__item__title {
          font-size: var(--m-font-size-medium);
          display: inline-block;

          &:hover {
            color: var(--m-color-primary);
            text-decoration: underline;
          }
        }
        .miam-basket-preview-line__item__title:first-letter {
          text-transform: capitalize;
        }
    
        .miam-basket-preview-line__item__description {
          font-size: var(--m-font-size-small);
          font-weight: normal;
        }

        .miam-basket-preview-line__item__actions {
          display: flex;
          flex-direction: row;

          .miam-basket-preview-line__item__showDetails {
            margin: 2px 30px 0 0;
            color:var(--m-color-grey-text);
            text-decoration: underline;
            cursor: pointer;
            width: max-content;
            transition: var(--m-default-transition);
          }

          .miam-basket-preview-line__item__change {
          
            .miam-basket-preview-line__item__change__link {
              margin: 2px 30px 0 0;
              color:var(--m-color-grey-text);
              text-decoration: underline;
              cursor: pointer;
              transition:  var(--m-default-transition);
          
              &:hover {
                color: var(--m-color-primary);
              }
          
              &.disable {
                pointer-events: none;
                color: var(--m-color-grey-text);
              }
            }
          }
    
          .miam-basket-preview-line__item__inlineTag {
            display: inline-block;
            height: 22px; 
            padding: 1px 16px;
            font-size: var(--m-font-size-small);
            border-radius: 100px;
            background-color: var(--tag-color);
          }
        }
      }
    }
  
    .miam-basket-preview-line__item__right {
      max-width: 330px;
      position: relative;
      display: flex;
      align-items: center;
      justify-content: flex-end;
  
      .miam-basket-preview-line__item__price {
        margin: 0 20px;
        font-size: var(--m-font-size-large);
        font-weight: bold;
        white-space: nowrap;
        color: var(--price-color);
      }
    
      .miam-basket-preview-line__item__count {
        text-align: center;
        font-size: var(--m-font-size-small);
    
        .miam-basket-preview-line__item__count__for {
          margin-bottom: 2px;
          padding-left: 30px;
        }
      
        .miam-basket-preview-line__item__count__people {
          margin-top: 2px;
          padding-left: 30px;
        }
      }

      .miam-basket-preview-line__add__button {
        margin: 0 20px;
      }
    }
    
    &:hover {
      .miam-basket-preview-line__item__left
      .miam-basket-preview-line__item__showDetails {
        color: var(--m-color-primary);
      }
    }
  }
}

.miam-basket-preview-lines {
  margin-bottom: 20px;
  border-left: 1px solid var(--m-color-grey);
  overflow: hidden;
  margin-left: 20px;

  .miam-basket-preview-line {
    border-top: 1px solid var(--m-color-grey);
    &.expanded {
      border-top: solid 1px var(--m-color-primary);
    }

    .miam-basket-preview-line__item {
      border-top: none;
      padding: 12px 0px 15px;
  
      .miam-basket-preview-line__item__left {

        .miam-basket-preview-line__item__details
        .miam-basket-preview-line__item__title {
          &:hover {
            color: var(--m-color-black);
            text-decoration: none;
          }
        }
      
        .miam-basket-preview-line__item__remove {
          margin-right: 15px;
        }
    
        .miam-basket-preview-line__item__picture {
          margin-right: 15px;
    
          img {
            width: 50px;
            height: 50px;
            object-fit: cover;
            border-radius: var(--m-border-radius);
          }
        }
      }
  
      .miam-basket-preview-line__item__right {
        margin-top: -16px;
  
        .miam-basket-preview-line__item__price {
          font-size: 16px;
          color: var(--m-color-grey-text);;
        }

        .miam-basket-preview-line__item__count {
          ng-miam-counter-input {
            .miam-counter-input__icon {
              display: none;
            }
          }
        }
      }
    }
  }

  .miam-basket-preview-line__loader-container {
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
}
